// static_test.c - test for static Variables

#include <stdio.h>

static int my_invisible_test_global_ = 0;

void testFunction();

//------------------------------------------------------------
int main(int argc,char *argv[])
{
  int count = 5;
  while(count--)
    testFunction();
  return(0);
}

//------------------------------------------------------------
void testFunction()
{
  static int my_testvar = 17;

  printf("my_testvar has the value: %d\n",my_testvar++);
}
